> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# test-connection

> Run the connector’s connection test through this connection and return whether it succeeded.



## OpenAPI

````yaml /api-reference/membrane-api.json post /connections/{id}/test
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /connections/{id}/test:
    post:
      summary: test-connection
      description: >-
        Run the connector’s connection test through this connection and return
        whether it succeeded.
      operationId: testConnection
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            description: Connection id or connection key.
      responses:
        '200':
          description: >-
            Run the connector’s connection test through this connection and
            return whether it succeeded.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  result: {}
                  request:
                    type: string
                required:
                  - success
                additionalProperties: false
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````